/*

File: search_protos.h
Author: Neil Cafferkey
Copyright (C) 2000 Neil Cafferkey

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA 02111-1307, USA.

*/

#ifndef _search_protos_h
#define _search_protos_h


#include "search.h"
#include "paedia.h"
#include <intuition/screens.h>
#include <exec/lists.h>


/* Function: CreateSearch
 * ======================
 * Creates a Search.
 */

Search CreateSearch(struct MsgPort *msg_port,Paedia paedia,
   struct MinList *object_list,UWORD left,UWORD top);


/* Function: HandleSearchInput
 * ===========================
 */

VOID HandleSearchInput(Search search,struct IntuiMessage *msg);


/* Function: KillSearch
 * ====================
 * Destroys a Search.
 */

VOID KillSearch(Search search);


#endif


