/*

File: section.h
Author: Neil Cafferkey
Copyright (C) 2000 Neil Cafferkey

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA 02111-1307, USA.

*/

#ifndef _section_h
#define _section_h


#include <exec/types.h>
#include "paragraph.h"


typedef struct
{
   UWORD length;
   UWORD text_length;
   UWORD paragraph_count;
   Paragraph *paragraphs;
   UWORD something_a;
   UWORD something_b;
   UBYTE something_c1;
   UBYTE something_c2;
   UWORD *paragraph_lengths;
   UBYTE *text;
   UWORD line_count;
   UWORD *line_points;
   UWORD start_line_no;
}
Section_imp;

typedef Section_imp *Section;


#endif


